var Backbone = require('backbone');
var Globals = require('../globals');

var UserRegistration = Backbone.Model.extend({

	initialize: function() {
        $.ajaxPrefilter(
            function(options, originalOptions, jqXHR) {
                options.xhrFields = {
                    withCredentials: true
                }
            }
        );
    },

    url: Globals.ApiUrl + '/user',
    defaults: {
      first_name : '',
      last_name : '',
      email : '',
      password: '',
      password_confirmation: ''
    }
});

module.exports = UserRegistration;
